<?php 
    /**
     * Template Name:Careers Page Template
    */
    get_header();
?>
    <!-- banner section -->
    <section class="contact-banner">
        <div class="container-fluid max-width px-22">
            <div class="row">
                <div class="col-md-4">
                    <h1 class="main-heading raleway-font-family dark-blue mb-3 text-md-center"><?= get_field('careers_title'); ?></h1>
                </div>
                <div class="col-md-8 z-index-99">
                    <p class="cabin-font-family nav-font dark-gray mb-0"><?= get_field('career_about'); ?></p>
                    <div class="btn-container justify-content-md-end mt-4 mt-md-5">
                        <a href="<?= get_field('careers_link')['url'];?>" class="btn-primary raleway-font-family text-uppercase white btn-font" title="<?= get_field('careers_link')['title'];?>" aria-label="<?= get_field('careers_link')['title'];?>">
                            <?= get_field('careers_link')['title'];?>
                            <!-- <i class="fa-solid fa-arrow-right">H</i> -->
                            <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                            <span class="screen-reader-text">Click to Learn More about Renix</span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Job Posts -->
    <section class="job-list-container">
        <?php 
            $args = array(
                'post_type' => ' job_posts',
                'posts_per_page' => -1
            );

            $loop = new WP_Query( $args );

        ?>

        <div class="container-fluid max-width px-22">
            <div class="row">
                <?php 
                    if($loop->have_posts()):
                     while($loop->have_posts()): $loop->the_post();
                ?>
                    <div class="col-md-6">
                        <div class="job-post mb-5">
                            <p class="raleway-font-family dark-blue job-post-title"><?= get_field('job_title'); ?></p>
                            <div class="wizywig-container">
                                <?= get_field('about_job'); ?>
                            </div>
                        </div>
                    </div>
                <?php 
                     endwhile;
                     else:
                ?>
                    <div class="no-job-post">
                        <p class="key-msg-font raleway-font-family dark-blue text-center">No Job Post Available..Check back Soon..</p>
                    </div>
                <?php
                    endif;
                ?>
            </div>
        </div>
    </section>
<?php 
    get_footer();
?>