<?php 
    /**
     * Template Name: Contact Page Template
    */
    get_header();
?>
    <!-- Small Banner Template Part -->
    <?= get_template_part('template-parts/small','banner'); ?>

    <section class="contact-page">
        <div class="container-fluid max-width px-22">
            <div class="row align-items-center">
                <div class="col-xl-6">
                    <p class="cabin-font-family dark-gray nav-font text-center text-xl-start"><?= get_field('contact_about'); ?></p>
                    <div class="row btn-container">
                        <div class="col-md-6 d-flex flex-column align-items-center mt-5">
                            <a class="btn-primary raleway-font-family text-uppercase white btn-font" href="tel:<?= get_field('phone_number'); ?>" title="Call now on <?= get_field('phone_number'); ?>" aria-label="Phone to call renix">
                                CALL NOW
                                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                                <span class="screen-reader-text">Click to give a call to Renix</span>
                            </a>
                            <a class="mt-3 text-decoration-underline raleway-font-family dark-gray btn-font" href="tel:<?= get_field('phone_number'); ?>" title="<?= get_field('phone_number'); ?>" aria-label="Phone to call renix">
                                <?= get_field('phone_number'); ?>
                                <span class="screen-reader-text">Click to give a call to Renix</span>
                            </a>
                        </div>

                        <div class="col-md-6 d-flex flex-column align-items-center mt-5">
                            <a class="btn-primary raleway-font-family text-uppercase white btn-font" href="mailto:<?= get_field('email'); ?>" title="Email on <?= get_field('email'); ?>" aria-label="Phone to call renix">
                                EMAIL
                                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                                <span class="screen-reader-text">Click to email</span>
                            </a>
                            <a class="mt-3 text-decoration-underline raleway-font-family dark-gray btn-font" href="mailto:<?= get_field('email'); ?>" title="<?= get_field('email'); ?>" aria-label="Email to renix">
                                <?= get_field('email'); ?>
                                <span class="screen-reader-text">Click to email</span>
                            </a>
                        </div>
                    </div>
                </div>

                <!-- Iframe Map Container Column -->
                <div class="col-xl-6">
                    <div class="map-container d-flex justify-content-center">
                        <?= get_field('map_iframe'); ?>
                    </div>
                    <div class="address-container">
                        <div class="d-flex justify-content-center">
                            <img src="<?= get_field('location_icon')['url']; ?>" alt="<?= get_field('location_icon')['alt']; ?>">
                            <!-- <p class="cabin-font-family blue ms-4 mb-0"><?= get_field('address'); ?></p> -->
                            <a class="cabin-font-family blue ms-4 mb-0" href="https://www.google.com/maps/place/Renix+Inc/@42.9870604,-81.2242952,17z/data=!3m1!4b1!4m5!3m4!1s0x882eee3890ea6427:0xa817c29a489a8ce9!8m2!3d42.9870604!4d-81.2221065" title="Renix Address" aria-label="Renix Address" target="_blank">
                                <?= get_field('address'); ?>
                                <span class="screen-reader-text">Click to address on google map (new tab)</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php 
    get_footer();
?>