<?php 
    /**
     * Template Name: Home Page Template
    */
    get_header();
?>

<!-- Hero Baner -->
<section class="hero-container position-relative">
    <div class="container-fluid max-width">
        <div class="row align-items-center px-22">
            <div class="col-lg-6 z-index">
                <h1 class="main-heading raleway-font-family white"><?= get_field('hero_banner_title'); ?></h1>
                <p class="cabin-font-family nav-font white"><?= get_field('about_hero_banner'); ?></p>
            </div>
            <div class="col-lg-6 d-none d-lg-block z-index">
                <img class="img-fluid curved-image-border" src="<?= get_field('hero_image')['url']; ?>" alt="<?= get_field('hero_image')['alt']; ?>" title="Hero Banner Image">
            </div>
        </div>
    </div>
</section>

<!-- About Section -->
<section class="about-section container-fluid">
    <div class="d-flex flex-column align-items-center">
        <h2 class="small-heading raleway-font-family dark-blue"><?= get_field('about_title'); ?></h2>
        <p class="cabin-font-family dark-gray key-msg-font"><?= get_field('key_message'); ?></p>
        <p class="cabin-font-family dark-gray nav-font text-center"><?= get_field('about_para'); ?></p>
        <div class="btn-container mt-5">
            <a href="<?= get_field('learn_more_link')['url'];?>" class="btn-primary raleway-font-family text-uppercase white btn-font" title="Learn More" aria-label="Learn more about Renix">
                <?= get_field('learn_more_link')['title'];?>
                <!-- <i class="fa-solid fa-arrow-right">H</i> -->
                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                <span class="screen-reader-text">Click to Learn More about Renix</span>
            </a>
        </div>
    </div>
</section>

<!-- Left Content | Right Image Container -->
<section class="left-content-right-image position-relative">
    <div class="container-fluid max-width px-22">
        <div class="row align-items-center">
            <div class="col-lg-6 order-lg-2 d-flex justify-content-center image-container position-relative">
                <img class="box-image-width curved-image-border z-index-99" src="<?= get_field('hero_lcri_image')['url']; ?>" alt="<?= get_field('hero_lcri_image')['alt']; ?>" title="Technology Title">
            </div>
            <div class="col-lg-6 order-lg-1 mt-5 mt-lg-0">
                <div class="row max-home-width-554">
                    <div class="col-md-6 col-lg-12 btn-hide-need">
                        <h3 class="small-heading raleway-font-family dark-blue mb-0"><?= get_field('hero_lcri_title'); ?></h3>
                        <p class="cabin-font-family dark-gray key-msg-font"><?= get_field('hero_lcri_key_msg'); ?></p>
                        <div class="btn-container mt-4">
                            <a href="<?= get_field('hero_lcri_link')['url'];?>" class="btn-primary raleway-font-family text-uppercase white btn-font" title="Learn More" aria-label="Learn more about Renix">
                                <?= get_field('hero_lcri_link')['title'];?>
                                <!-- <i class="fa-solid fa-arrow-right">H</i> -->
                                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                                <span class="screen-reader-text">Click to Learn More about Renix</span>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-12 btn-hide-need">
                        <p class="cabin-font-family dark-gray nav-font"><?= get_field('hero_lcri_about'); ?></p>
                        <div class="btn-container mt-5">
                            <a href="<?= get_field('hero_lcri_link')['url'];?>" class="btn-primary raleway-font-family text-uppercase white btn-font" title="Learn More" aria-label="Learn more about Renix">
                                <?= get_field('hero_lcri_link')['title'];?>
                                <!-- <i class="fa-solid fa-arrow-right">H</i> -->
                                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                                <span class="screen-reader-text">Click to Learn More about Renix</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Left Image | Right Content -->
<section class="right-image-left-content position-relative">
    <div class="container-fluid max-width px-22">
        <div class="row align-items-center">
            <div class="col-lg-6 d-flex justify-content-center image-container position-relative">
                <img class="box-image-width curved-image-border z-index-99" src="<?= get_field('hero_lirc_image')['url']; ?>" alt="<?= get_field('hero_lirc_image')['alt']; ?>" title="Technology Title">
            </div>
            <div class="col-lg-6 order-lg-1 mt-5 mt-lg-0">
                <div class="row max-home-width-554">
                    <div class="col-md-6 col-lg-12 btn-hide-need">
                        <h3 class="small-heading raleway-font-family dark-blue mb-0"><?= get_field('hero_lirc_title'); ?></h3>
                        <p class="cabin-font-family dark-gray key-msg-font"><?= get_field('hero_lirc_key_msg'); ?></p>
                        <div class="btn-container mt-4">
                            <a href="<?= get_field('hero_lirc_link')['url'];?>" class="btn-primary raleway-font-family text-uppercase white btn-font" title="Learn More" aria-label="Learn more about Renix">
                                <?= get_field('hero_lirc_link')['title'];?>
                                <!-- <i class="fa-solid fa-arrow-right">H</i> -->
                                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                                <span class="screen-reader-text">Click to Learn More about Renix</span>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-12 btn-hide-need">
                        <p class="cabin-font-family dark-gray nav-font"><?= get_field('hero_lirc_about'); ?></p>
                        <div class="btn-container mt-5">
                            <a href="<?= get_field('hero_lirc_link')['url'];?>" class="btn-primary raleway-font-family text-uppercase white btn-font" title="Learn More" aria-label="Learn more about Renix">
                                <?= get_field('hero_lirc_link')['title'];?>
                                <!-- <i class="fa-solid fa-arrow-right">H</i> -->
                                <img class="right-arrow" src="<?= get_template_directory_uri(); ?>/images/~global/renix-arrow.svg" alt="Right Arrow - Click to learn more about Renix">
                                <span class="screen-reader-text">Click to Learn More about Renix</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php 
    get_footer();
?>