<?php 
    /**
     * Template Name: Technology Page Template
    */
    get_header();
?>
    <!-- Small Banner Template Part -->
    <?= get_template_part('template-parts/small','banner'); ?>

    <!-- RenixUIX(TM) Container -->
    <section class="renix-uix-container container-fluid max-width px-22">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <h2 class="small-heading raleway-font-family dark-blue mb-4"><?= get_field('uix_title'); ?><sup>TM</sup></h2>
                <p class="cabin-font-family dark-gray nav-font"><?= get_field('uix_about'); ?></p>
                <div class="uix-about d-none d-lg-block">
                    <?= get_field('uix_about_with_title'); ?>
                </div>
            </div>
            <div class="col-lg-6 d-flex flex-column flex-lg-row align-items-center justify-content-center justify-content-lg-end position-relative image-container-tech">
                <img class="curved-image-border" src="<?= get_field('uix_image')['url']; ?>" alt="<?= get_field('uix_image')['alt']; ?>" title="<?= get_field('uix_image')['alt']; ?>">
                <div class="uix-about d-lg-none mt-4">
                    <?= get_field('uix_about_with_title'); ?>
                </div>
            </div>
        </div>
    </section>

    <!-- Proprietary Process Container -->
    <section class="proprietary-container">
        <div class="container-fluid max-width px-22">
            <div class="row align-items-center">
                <div class="col-lg-6 d-flex flex-column flex-lg-row align-items-center justify-content-center justify-content-lg-start">
                    <div class="uix-about d-lg-none mt-4">
                        <h3 class="small-heading raleway-font-family dark-blue mb-4"><?= get_field('propri_title'); ?></h3>
                        <p class="cabin-font-family dark-gray nav-font"><?= get_field('propri_about'); ?></p>
                    </div>
                    <div class="position-relative image-container-tech w-100">
                        <img class="curved-image-border" src="<?= get_field('propri_image')['url']; ?>" alt="<?= get_field('propri_image')['alt']; ?>" title="<?= get_field('propri_image')['alt']; ?>">
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="uix-about d-none d-lg-block">
                        <h3 class="small-heading raleway-font-family dark-blue mb-4"><?= get_field('propri_title'); ?></h3>
                        <p class="cabin-font-family dark-gray nav-font"><?= get_field('propri_about'); ?></p>
                    </div>
                    <p class="cabin-font-family dark-gray nav-font mt-4 mt-lg-0"><?= get_field('propri_sec_about'); ?></p>
                </div>
            </div>
        </div>
    </section>

    <!-- Industry Applicatons -->
    <section class="industry-application">
        <div class="container-fluid max-width px-22">
            <div class="row">
                <h4 class="small-heading raleway-font-family dark-blue mb-5 pt-5 pt-md-0"><?= get_field('indu_title'); ?></h4>

                <div class="col-md-6 col-xl-3 mb-5 d-flex justify-content-center justify-content-xl-start ia-col-container">
                    <div class="ia-box-container position-relative w-100">
                        <div class="ia-title">
                            <p class="cabin-font-family white nav-font text-center mb-0"><?= get_field('indus_title_one'); ?></p>
                        </div>
                        <div class="ia-about py-5">
                            <?= get_field('indus_about_one'); ?>
                        </div>
                        <div class="greenborder-box position-absolute"></div>
                    </div>
                </div>

                <div class="col-md-6 col-xl-3 mb-5 d-flex justify-content-center justify-content-xl-start ia-col-container">
                    <div class="ia-box-container position-relative w-100">
                        <div class="ia-title">
                            <p class="cabin-font-family white nav-font text-center mb-0"><?= get_field('indus_title_one'); ?></p>
                        </div>
                        <div class="ia-about py-5">
                            <?= get_field('indus_about_one'); ?>
                        </div>
                        <div class="greenborder-box position-absolute"></div>
                    </div>
                </div>

                <div class="col-md-6 col-xl-3 mb-5 d-flex justify-content-center justify-content-xl-start ia-col-container">
                    <div class="ia-box-container position-relative w-100">
                        <div class="ia-title">
                            <p class="cabin-font-family white nav-font text-center mb-0"><?= get_field('indus_title_one'); ?></p>
                        </div>
                        <div class="ia-about py-5">
                            <?= get_field('indus_about_one'); ?>
                        </div>
                        <div class="greenborder-box position-absolute"></div>
                    </div>
                </div>

                <div class="col-md-6 col-xl-3 mb-5 d-flex justify-content-center justify-content-xl-start ia-col-container">
                    <div class="ia-box-container position-relative w-100">
                        <div class="ia-title">
                            <p class="cabin-font-family white nav-font text-center mb-0"><?= get_field('indus_title_one'); ?></p>
                        </div>
                        <div class="ia-about py-5">
                            <?= get_field('indus_about_one'); ?>
                        </div>
                        <div class="greenborder-box position-absolute"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!--  Client Outcomes -->
    <section class="client-outcome-container">
        <div class="container-fluid d-flex flex-column align-items-center px-22">
            <h5 class="small-heading raleway-font-family dark-blue mb-4 mb-lg-5"><?= get_field('outcome_title'); ?></h5>
            <p class="cabin-font-family dark-gray nav-font text-center"><?= get_field('outcome_about'); ?></p>
        </div>
    </section>

    <!-- Droplets Sections -->
    <section class="droplets-container position-relative">
        <div class="contaier-fluid max-width-1056 px-22">
            <div class="row">
                <div class="col-md-6 col-lg-3 d-flex flex-column align-items-center z-index-99">
                    <div class="ass-image-container">
                        <img src="<?= get_field('tech_image_one')['url'];?>" alt="<?= get_field('tech_image_one')['alt'];?>">
                    </div>
                    <p class="cabin-font-family text-md-center font-26 mb-0 mt-4 mb-4 mb-lg-0 text-center"><?= get_field('tech_about_one'); ?></p>
                </div>

                <div class="col-md-6 col-lg-3 d-flex flex-column align-items-center z-index-99">
                    <div class="ass-image-container">
                        <img src="<?= get_field('tech_image_one')['url'];?>" alt="<?= get_field('tech_image_one')['alt'];?>">
                    </div>
                    <p class="cabin-font-family text-md-center font-26 mb-0 mt-4 mb-4 mb-lg-0 text-center"><?= get_field('tech_about_one'); ?></p>
                </div>

                <div class="col-md-6 col-lg-3 d-flex flex-column align-items-center z-index-99">
                    <div class="ass-image-container">
                        <img src="<?= get_field('tech_image_one')['url'];?>" alt="<?= get_field('tech_image_one')['alt'];?>">
                    </div>
                    <p class="cabin-font-family text-md-center font-26 mb-0 mt-4 mb-4 mb-lg-0 text-center"><?= get_field('tech_about_one'); ?></p>
                </div>

                <div class="col-md-6 col-lg-3 d-flex flex-column align-items-center z-index-99">
                    <div class="ass-image-container">
                        <img src="<?= get_field('tech_image_one')['url'];?>" alt="<?= get_field('tech_image_one')['alt'];?>">
                    </div>
                    <p class="cabin-font-family text-md-center font-26 mb-0 mt-4 mb-4 mb-lg-0 text-center"><?= get_field('tech_about_one'); ?></p>
                </div>
            </div>
        </div>
    </section>
<?php 
    get_footer();
?>